SND_CARD_FILE_REMOVE(9)

NAME
snd_card_file_remove - remove the file from the file list

SYNOPSIS

int snd_card_file_remove(struct snd_card * card, struct file * file);

ARGUMENTS

card
    soundcard structure

file
    file pointer

DESCRIPTION

This function removes the file formerly added to the card via snd_card_file_add function. If all files are removed and snd_card_free_when_closed was called beforehand, it processes the pending release of resources.

RETURN

Zero or a negative error code.

COPYRIGHT